Bug 858693 - no way to disable line cropping for systemctl status
no way to disable line cropping for systemctl status
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-19 08:41 EDT by Kamil Páral
Modified: 2012-12-20 10:31 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 10:31:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
systemctl output (19.28 KB, image/png)
2012-09-19 08:41 EDT, Kamil Páral
no flags Details

  None (edit)
Description Kamil Páral 2012-09-19 08:41:01 EDT
Created attachment 614349 [details]
systemctl output

Description of problem:
There is no easy way how to force "systemctl status" not to crop long lines with ellipsis in a virtual terminal. "-a" or "--full" options doesn't help (and they even shouldn't help, according to the man page). See attachment.

The only way is to do "COLUMNS=999 systemctl status".

Please add a simple way how to stop systemctl crop the lines.

Version-Release number of selected component (if applicable):
systemd-188-3.fc18.i686

Steps to Reproduce:
1. switch to VT
2. systemctl status gdm.service
Comment 1 Lennart Poettering 2012-10-20 19:07:48 EDT
Fixed in git. Soon F18. "--all" will now do the job.
Comment 2 Fedora Update System 2012-10-22 21:03:54 EDT
systemd-195-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/systemd-195-1.fc18
Comment 3 Fedora Update System 2012-10-23 02:47:09 EDT
Package systemd-195-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing systemd-195-1.fc18'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16709/systemd-195-1.fc18
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-10-26 15:36:42 EDT
Package systemd-195-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing systemd-195-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16709/systemd-195-2.fc18
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-12-20 10:31:11 EST
systemd-195-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.